public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pid/
Date: Sat, 24 Feb 2018 12:31:48 +0000 (UTC)	[thread overview]
Message-ID: <1519475494.cb1575bf255ed4af7ed914683f4349819fec0370.aballier@gentoo> (raw)

commit:     cb1575bf255ed4af7ed914683f4349819fec0370
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 24 12:31:14 2018 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 12:31:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb1575bf

dev-python/pid: bump to 2.2.0, add test deps and more python compat

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-python/pid/Manifest         |  1 +
 dev-python/pid/pid-2.2.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-python/pid/Manifest b/dev-python/pid/Manifest
index 63b3cf3227f..66024affec6 100644
--- a/dev-python/pid/Manifest
+++ b/dev-python/pid/Manifest
@@ -1 +1,2 @@
 DIST pid-2.1.1.tar.gz 9591 BLAKE2B 90bebcd225d96283c771b29d864ab35311e748978040e3667a13fa14d84e9f9f1bfe86a25c93bd4781c80938dc20cf14894f32de87a3c1cbef5797e168e71f0d SHA512 5f20338ca902d68a0c4a614b0b8229cd498712bf1750b68fa49037e9e6915c66ad562564d70d7c9308538f4302e90473a5d253dd6366bfa561f6a2248b21a45e
+DIST pid-2.2.0.tar.gz 10752 BLAKE2B 943626f9eccecb16f3da03d222cf44aae93179d4f97f922dca431960dbd744fb996239332b7e8557464aaf0797505645634ee3a23b88f0e98fb0a9d60f20e7c3 SHA512 bd35110fe67d916265985eeceed08d70a2e2e04507eaadf62bf6c67927fc6b36ca6eaf2a225947f5b0ad049e54eb2371c8576672c0ec3f819208cf6e11543fcc

diff --git a/dev-python/pid/pid-2.2.0.ebuild b/dev-python/pid/pid-2.2.0.ebuild
new file mode 100644
index 00000000000..9c1358e9687
--- /dev/null
+++ b/dev-python/pid/pid-2.2.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Pidfile featuring stale detection and file-locking"
+HOMEPAGE="https://pypi.python.org/pypi/pid https://github.com/trbs/pid/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+DEPEND="dev-python/nose[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+	test? (
+		dev-python/coverage[${PYTHON_USEDEP}]
+		dev-python/flake8[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	nosetests -v --with-coverage --cover-package=pid || die
+}


             reply	other threads:[~2018-02-24 12:31 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-24 12:31 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18  6:58 [gentoo-commits] repo/gentoo:master commit in: dev-python/pid/ Michał Górny
2023-11-24 15:45 Arthur Zamarin
2023-05-26 21:12 Arthur Zamarin
2022-07-10 19:16 Michał Górny
2022-07-10 19:12 Sam James
2022-06-05 18:01 Arthur Zamarin
2022-06-05 18:01 Arthur Zamarin
2021-08-21  6:54 Arthur Zamarin
2021-08-21  6:54 Arthur Zamarin
2020-12-17 17:09 Michał Górny
2020-11-14  8:55 Michał Górny
2020-03-28 11:59 Michał Górny
2019-12-29 13:06 David Seifert
2019-11-29 19:54 Michał Górny
2018-06-24  9:40 Mikle Kolyada
2017-01-06 23:00 Patrice Clement
2017-01-06 23:00 Patrice Clement
2016-10-10 11:05 Alexis Ballier
2016-01-21 15:12 Alexis Ballier
2016-01-19 10:46 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1519475494.cb1575bf255ed4af7ed914683f4349819fec0370.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox